package com.oo.seex.sys_state.state.bean;

/**
 * Created by gyp on 17/7/4.
 * 电池状态
 */

public class BatteryState extends BaseState {
    /**
     * 得到电池状态：
     * BatteryManager.BATTERY_STATUS_CHARGING：充电状态。
     *
     * BatteryManager.BATTERY_STATUS_DISCHARGING：放电状态。
     *
     * BatteryManager.BATTERY_STATUS_NOT_CHARGING：未充满。
     *
     * BatteryManager.BATTERY_STATUS_FULL：充满电。
     *
     * BatteryManager.BATTERY_STATUS_UNKNOWN：未知状态。
     */
    private int status = 0;

    /**
     * 得到健康状态：
     * BatteryManager.BATTERY_HEALTH_GOOD：状态良好。
     * BatteryManager.BATTERY_HEALTH_DEAD：电池没有电。
     * BatteryManager.BATTERY_HEALTH_OVER_VOLTAGE：电池电压过高。
     * BatteryManager.BATTERY_HEALTH_OVERHEAT：电池过热。
     * BatteryManager.BATTERY_HEALTH_UNKNOWN：未知状态。
     */
    private int health = 0;

    /**
     * 得到电池剩余容量
     */
    private int level = 0;

    /**
     * 得到电池最大值。通常为100。
     */
    private int scale = 100;

    /**
     * 充电方式：　
     * BatteryManager.BATTERY_PLUGGED_AC：AC充电。　
     * BatteryManager.BATTERY_PLUGGED_USB：USB充电。
     */
    private int plugged = 0;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getHealth() {
        return health;
    }

    public void setHealth(int health) {
        this.health = health;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getScale() {
        return scale;
    }

    public void setScale(int scale) {
        this.scale = scale;
    }

    public int getPlugged() {
        return plugged;
    }

    public void setPlugged(int plugged) {
        this.plugged = plugged;
    }

    @Override
    public String toString() {
        return "[BatteryState] status：" + status + "　health:" + health + " level:" + level + " scale:"+ scale+" plugged:" + plugged;
    }
}
